Control Box (Arrangement)

- « UI\Controls\Group::setTitle

- UI\Controls\Box::append »

- PHP Manual
- UI
- Control Box (Arrangement)

# Control Box (Arrangement)

(UI 0.9.9)

## Introduction

A Box allows the arrangement of other controls

## Class synopsis

class UI\Controls\Box extends UI\Control {
/* Constants */
const int Vertical;
const int Horizontal;
/* Properties */
protected $controls;
/* Constructor */
public __construct(int `$orientation` = UI\Controls\Box::Horizontal)
/* Methods */
public append(Control `$control`, bool `$stretchy` = `false`): int
public delete(int `$index`): bool
public getOrientation(): int
public isPadded(): bool
public setPadded(bool `$padded`)
/* Inherited methods */
public UI\Control::destroy()
public UI\Control::disable()
public UI\Control::enable()
public UI\Control::getParent(): UI\Control
public UI\Control::getTopLevel(): int
public UI\Control::hide()
public UI\Control::isEnabled(): bool
public UI\Control::isVisible(): bool
public UI\Control::setParent(UI\Control `$parent`)
public UI\Control::show()
}

## Properties

controls

  Contains controls, should not be manipulated directly

## Predefined Constants

`UI\Controls\Box::Vertical`

`UI\Controls\Box::Horizontal`

## Table of Contents

- UI\Controls\Box::append — Append Control
- UI\Controls\Box::__construct — Construct a new Box
- UI\Controls\Box::delete — Delete Control
- UI\Controls\Box::getOrientation — Get Orientation
- UI\Controls\Box::isPadded — Padding Detection
- UI\Controls\Box::setPadded — Set Padding